
#ifndef GPRODCRD_H
#define GPRODCRD_H 
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: 
  Version: $Rev:$

  2011-03-25 /JD: created

-*/

#include <iostream>

#include "gprod/gprod.h"
#include "gutils/gtriple.h"

using namespace std;

namespace gnut {

class t_gprodcrd : public t_gprod {

 public:
  t_gprodcrd(const t_gtime& t, shared_ptr<t_gobj> pt = nullobj);
  virtual ~t_gprodcrd();

  void       xyz(const t_gtriple& xyz);
  t_gtriple  xyz() const;
   
  void       xyz_rms(const t_gtriple& xyz_rms);
  t_gtriple  xyz_rms() const;
   
 protected:
  t_gtriple   _xyz;
  t_gtriple   _xyz_rms;  

 private:

};

} // namespace

#endif
