
#ifndef GINTERP2D_H
#define GINTERP2D_H
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: implementation various interpolation tecnique
  Version: $ Rev: $

  2013-06-05 /PV: created

-*/

#include <vector>
#include <map>

#include "../newmat/newmat.h"

using namespace std;

namespace gnut {   

// ----------
class t_ginterp2d  {

 public:
   t_ginterp2d();
  ~t_ginterp2d();

   int linear(map<double, double>& data, double x, double& fx);
//   int bilinear(map<double, map<double, double> >& data, double x, double y, double& fxy);
 private:

};

} // namespace

#endif
