
#ifndef GPROJ_H
#define GPROJ_H 
 
/* ----------------------------------------------------------------------
  (c) 2011 Geodetic Observatory Pecny, http://www.pecny.cz (gnss@pecny.cz)
      Research Institute of Geodesy, Topography and Cartography
      Ondrejov 244, 251 65, Czech Republic

  Purpose: Spherical to projection transformations
  Version: $ Rev: $

  2015-02-19 /JD: created

-*/

#include <string>
#include <iomanip>
#include <iostream>

#include "gutils/gpair.h"
#include "gutils/gtriple.h"

using namespace std;

namespace gnut {


class t_gproj {
      
 public:
  t_gproj(){};
  virtual ~t_gproj(){};

  virtual t_gpair   ll2proj(const t_gpair&   latlon ){ return latlon; }
  virtual t_gtriple ll2proj(const t_gtriple& latlon );

  bool operator==(const t_gproj& prj) const { return true; };

 protected:
   
};
   
} // namespace

#endif
